#ifndef GLOBALS_H
#define GLOBALS_H

/* Class names */
#define LACCLASSNAME "Linux_Account"
#define LGCCLASSNAME "Linux_Group"
#define LAMSCCLASSNAME "Linux_AccountManagementService"

/* Few global names of instances */
#define LAMSNAME "Linux Users Account Management Service"
#define LAMCNAME "Linux Users Account Management Capabilities"
#define LEACNAME "Linux Account Capabilities"

#define SCCLASSNAME "Linux_ComputerSystem"

/* Organization ID. Used for InstaceIDs */
#define ORGID "Red Hat"

/* convert days to microseconds */
#define DAYSTOMS(days) ((days) * 86400000000)


//#define DEBUG

const char *get_system_name();

#endif
